[arch-commits] Commit in php/repos (6 files)

Pierre Schmitz pierre at archlinux.org
Thu Nov 19 17:25:37 UTC 2009


    Date: Thursday, November 19, 2009 @ 12:25:37
  Author: pierre
Revision: 59051

Merged revisions 59023-59024,59035 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/php/trunk

........
  r59023 | pierre | 2009-11-19 12:46:52 +0100 (Do, 19 Nov 2009) | 1 line
  
  update to 5.3.1; relocate patches; update mysql socket location
........
  r59024 | pierre | 2009-11-19 12:49:39 +0100 (Do, 19 Nov 2009) | 1 line
  
  update md5sum
........
  r59035 | pierre | 2009-11-19 17:11:32 +0100 (Do, 19 Nov 2009) | 1 line
  
   
........

Added:
  php/repos/extra-i686/mysqlnd-socket.patch
    (from rev 59035, php/trunk/mysqlnd-socket.patch)
Modified:
  php/repos/extra-i686/	(properties)
  php/repos/extra-i686/PKGBUILD
  php/repos/extra-i686/db-configure.patch
  php/repos/extra-i686/php.ini.patch
Deleted:
  php/repos/extra-i686/gd-info-segfault.patch

------------------------+
 PKGBUILD               |   26 +++++++++++++-------------
 db-configure.patch     |    6 +++---
 gd-info-segfault.patch |   26 --------------------------
 mysqlnd-socket.patch   |   11 +++++++++++
 php.ini.patch          |   22 ++++++++++++++--------
 5 files changed, 41 insertions(+), 50 deletions(-)


Property changes on: php/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /php/trunk:1-53280
   + /php/trunk:1-59050

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-19 17:14:50 UTC (rev 59050)
+++ extra-i686/PKGBUILD	2009-11-19 17:25:37 UTC (rev 59051)
@@ -20,9 +20,9 @@
          'php-sqlite'
          'php-tidy'
          'php-xsl')
-pkgver=5.3.0
-pkgrel=5
-_suhosinver=${pkgver}-0.9.8
+pkgver=5.3.1
+pkgrel=1
+_suhosinver=${pkgver}RC1-0.9.8
 arch=('i686' 'x86_64')
 license=('PHP')
 url='http://www.php.net'
@@ -33,13 +33,13 @@
 options=('!makeflags')
 source=("http://www.php.net/distributions/${pkgbase}-${pkgver}.tar.bz2"
         "http://download.suhosin.org/suhosin-patch-${_suhosinver}.patch.gz"
-        'php.ini.patch' 'apache.conf' 'db-configure.patch' 'gd-info-segfault.patch')
-md5sums=('846760cd655c98dfd86d6d97c3d964b0'
-         'a23a3d54e177ac0ad30f78d928ba8177'
-         '67c63d2c8a976a333bbd2216cdd60413'
+        'php.ini.patch' 'apache.conf' 'db-configure.patch' 'mysqlnd-socket.patch')
+md5sums=('63e97ad450f0f7259e785100b634c797'
+         'c3ff0cb5fa728420d56f8ed139446647'
+         'd6f94150f47047882c6716575e12e99b'
          '96ca078be6729b665be8a865535a97bf'
-         '45ecb6fb0aadfd3462097e3bab951aa5'
-         '1c1a50aae7207b12d27bdecd8967e7ce')
+         'cd3d068931c3715e35634e9885e35374'
+         '993223e03e6c0cc2d89581550ebbbe67')
 
 build() {
 	phpconfig="--prefix=/usr \
@@ -95,7 +95,7 @@
 		--with-jpeg-dir=shared,/usr \
 		--with-ldap=shared \
 		--with-mcrypt=shared \
-		--with-mysql-sock=/tmp/mysql.sock \
+		--with-mysql-sock=/var/run/mysqld/mysqld.sock \
 		--with-mysql=shared,mysqlnd \
 		--with-mysqli=shared,mysqlnd \
 		--with-openssl=shared \
@@ -130,15 +130,15 @@
 	# avoid linking against old db version
 	patch -p0 -i ${srcdir}/db-configure.patch || return 1
 
+	# use /var/run/mysqld/mysqld.sock as default socket for mysql
+	patch -p0 -i ${srcdir}/mysqlnd-socket.patch || return 1
+
 	# apply suhosin patch
 	patch -p1 -i ${srcdir}/suhosin-patch-${_suhosinver}.patch || return 1
 
 	# adjust paths
 	patch -p0 -i ${srcdir}/php.ini.patch || return 1
 
-	# fix gd segfault; http://bugs.php.net/bug.php?id=49193
-	patch -p0 -i ${srcdir}/gd-info-segfault.patch || return 1
-
 	# php
 	mkdir ${srcdir}/build-php
 	cd ${srcdir}/build-php

Modified: extra-i686/db-configure.patch
===================================================================
--- extra-i686/db-configure.patch	2009-11-19 17:14:50 UTC (rev 59050)
+++ extra-i686/db-configure.patch	2009-11-19 17:25:37 UTC (rev 59051)
@@ -1,6 +1,6 @@
---- configure.orig	2009-06-29 17:46:18.000000000 +0200
-+++ configure	2009-08-14 08:34:52.000000000 +0200
-@@ -29088,43 +29088,15 @@
+--- configure	2009-11-18 21:11:57.000000000 +0100
++++ configure	2009-11-19 12:42:50.881918639 +0100
+@@ -29292,43 +29292,15 @@
    
    unset THIS_INCLUDE THIS_LIBS THIS_LFLAGS THIS_PREFIX THIS_RESULT
  

Deleted: extra-i686/gd-info-segfault.patch
===================================================================
--- extra-i686/gd-info-segfault.patch	2009-11-19 17:14:50 UTC (rev 59050)
+++ extra-i686/gd-info-segfault.patch	2009-11-19 17:25:37 UTC (rev 59051)
@@ -1,26 +0,0 @@
-Index: ext/gd/libgd/gd_compat.c
-===================================================================
---- ext/gd/libgd/gd_compat.c	(Revision 286947)
-+++ ext/gd/libgd/gd_compat.c	(Revision 286948)
-@@ -14,7 +14,7 @@
- 	return JPEG_LIB_VERSION;
- }
- 
--int gdJpegGetVersionString()
-+const char * gdJpegGetVersionString()
- {
- 	switch(JPEG_LIB_VERSION) {
- 		case 62:
-Index: ext/gd/libgd/gd_compat.h
-===================================================================
---- ext/gd/libgd/gd_compat.h	(Revision 286947)
-+++ ext/gd/libgd/gd_compat.h	(Revision 286948)
-@@ -8,7 +8,7 @@
- #endif
- 
- const char * gdPngGetVersionString();
--int gdJpegGetVersionString();
-+const char * gdJpegGetVersionString();
- int gdJpegGetVersionInt();
- int overflow2(int a, int b);
- 

Copied: php/repos/extra-i686/mysqlnd-socket.patch (from rev 59035, php/trunk/mysqlnd-socket.patch)
===================================================================
--- extra-i686/mysqlnd-socket.patch	                        (rev 0)
+++ extra-i686/mysqlnd-socket.patch	2009-11-19 17:25:37 UTC (rev 59051)
@@ -0,0 +1,11 @@
+--- ext/mysqlnd/mysqlnd.c	2009-11-19 14:02:01.934775092 +0100
++++ ext/mysqlnd/mysqlnd.c	2009-11-19 14:08:04.598072581 +0100
+@@ -547,7 +547,7 @@
+ #ifndef PHP_WIN32
+ 	if (host_len == sizeof("localhost") - 1 && !strncasecmp(host, "localhost", host_len)) {
+ 		if (!socket) {
+-			socket = "/tmp/mysql.sock";
++			socket = "/var/run/mysqld/mysqld.sock";
+ 		}
+ 		transport_len = spprintf(&transport, 0, "unix://%s", socket);
+ 		unix_socket = TRUE;

Modified: extra-i686/php.ini.patch
===================================================================
--- extra-i686/php.ini.patch	2009-11-19 17:14:50 UTC (rev 59050)
+++ extra-i686/php.ini.patch	2009-11-19 17:25:37 UTC (rev 59051)
@@ -1,5 +1,5 @@
---- php.ini-production	2009-06-30 01:05:38.000000000 +0200
-+++ php.ini	2009-06-30 01:02:15.000000000 +0200
+--- php.ini-production	2009-11-12 18:20:01.000000000 +0100
++++ php.ini	2009-11-19 12:39:03.305274757 +0100
 @@ -376,7 +376,7 @@
  ; or per-virtualhost web server configuration file. This directive is
  ; *NOT* affected by whether Safe Mode is turned On or Off.
@@ -9,7 +9,7 @@
  
  ; This directive allows you to disable certain functions for security reasons.
  ; It receives a comma-delimited list of function names. This directive is
-@@ -785,7 +785,7 @@
+@@ -781,7 +781,7 @@
  ;;;;;;;;;;;;;;;;;;;;;;;;;
  
  ; UNIX: "/path1:/path2"
@@ -18,7 +18,7 @@
  ;
  ; Windows: "\path1;\path2"
  ;include_path = ".;c:\php\includes"
-@@ -808,7 +808,7 @@
+@@ -804,7 +804,7 @@
  
  ; Directory in which the loadable extensions (modules) reside.
  ; http://php.net/extension-dir
@@ -27,10 +27,16 @@
  ; On windows:
  ; extension_dir = "ext"
  
-@@ -945,47 +945,49 @@
- ; extension folders as well as the separate PECL DLL download (PHP 5).
- ; Be sure to appropriately set the extension_dir directive.
- ; 
+@@ -938,53 +938,49 @@
+ ; If you only provide the name of the extension, PHP will look for it in its
+ ; default extension directory.
+ ;
+-; Windows Extensions
+-; Note that ODBC support is built in, so no dll is needed for it.
+-; Note that many DLL files are located in the extensions/ (PHP 4) ext/ (PHP 5)
+-; extension folders as well as the separate PECL DLL download (PHP 5).
+-; Be sure to appropriately set the extension_dir directive.
+-;
 -;extension=php_bz2.dll
 -;extension=php_curl.dll
 -;extension=php_dba.dll




More information about the arch-commits mailing list